#price-banner {
    font-family: "Noto Sans JP", serif;
    font-optical-sizing: auto;
    font-feature-settings: "palt";
}

#price-banner img {
    width: 100%;
}

.price-banner__inner {
    border-radius: 12.5px;
    padding: 0 4.8363% 0;
    margin: 0 auto 0;
    position: relative;
}

.price-banner__inner__label {
    font-weight: 900;
    line-height: 1;
    text-align: center;
    font-size: var(--font-2xl) !important;
}

#archText span:first-child,
#archText span:last-child {
    font-size: 1.4em;
}

.price-banner__inner__title {
    font-family: sans-serif;
    font-size: calc(0.08px * var(--price-width));
    font-weight: 900;
    letter-spacing: 0.02em;
    line-height: 1;
    text-align: center;
    text-shadow: 0px 0px 7px rgba(255, 255, 255, 0.9),
        0px 0px 9px rgba(255, 255, 255, 0.3);
    width: max-content;
    margin: 0 auto 3%;
    position: relative;
}

.price-banner__inner__title::after {
    content: "";
    width: 16.4809%;
    aspect-ratio: 1;
    top: -23%;
    right: 0%;
    background: url(../img/bag_price/footer-star.png) no-repeat center / contain;
    position: absolute;
    z-index: 2;
}

.price-banner__inner__title span {
    background-image: radial-gradient(
        circle at center,
        #e60012 20%,
        transparent 20%
    ); /* 点の色とサイズ調整 */
    background-position: top right; /* 点の位置 */
    background-repeat: repeat-x; /* 横方向に繰り返し */
    background-size: 1em 0.3em; /* 点の間隔とサイズ調整 */
    padding-top: 1vw;
}

.price-banner__inner__title_wave {
    text-decoration: 3px underline wavy #e60012;
    text-underline-offset: calc(0.02px * var(--price-width));
    text-align: center;
    padding: 0;
    margin: 0;
    font-size: calc(0.08px * var(--price-width));
}

.price-banner__inner__intro {
    font-weight: 500;
    line-height: 1.3;
    letter-spacing: 0.02em;
    margin-bottom: 2rem;
    font-size: var(--font-l);
    color: #000;
}

.price-banner__inner__block {
    background: #fff;
    border-radius: 12.5px;
    margin-top: 4%;
    position: relative;
}

.price-banner__inner__block:first-of-type {
    border: solid 2px #e60012;
}

.font-red {
    color: #e60012;
}

.price-banner__inner__block .price-banner__inner__block__flex__pic {
    width: calc(0.2225px * var(--price-width));
}

.price-banner__inner__block__flex {
    display: flex;
    align-items: center;
    gap: 6px;
}

.price-banner__inner__block__flex__text {
    padding: 2px 1rem;
    display: flex;
    align-items: center;
    gap: 6px;
    background-color: #f1f1f1;
    border-radius: 24px;
}

.price-banner__inner__block:first-of-type
    .price-banner__inner__block__flex__text {
    background-color: #e60012;
    border-radius: 10px 10px 0 0;
    color: white;
}

.price-banner__inner__block__flex__text h3 {
    font-weight: 900;
    font-size: calc(0.0333px * var(--price-width));
    letter-spacing: 0.04em;
}

.price-banner__inner__block__flex__text h3 span {
    font-size: calc(0.0297px * var(--price-width));
    font-weight: 500;
    letter-spacing: 0.04em;
    line-height: 1.1;
}

.price-banner__inner__block__flex__chart {
    position: relative;
    font-weight: bold;
}

.price-banner__inner__block__flex__chart .double_chevron {
    margin-left: 64%;
    height: 32px;
}

.price-banner__inner__block__flex__chart__2020,
.price-banner__inner__block__flex__chart__2024 {
    display: flex;
    width: 100%;
    align-items: center;
    gap: 12px;
    white-space: nowrap;
    line-height: 1;
    font-size: calc(0.0404px * var(--price-width));
}

.price-banner__inner__block__flex__chart__2020 p:first-child,
.price-banner__inner__block__flex__chart__2024 p:first-child {
    font-size: calc(0.0284px * var(--price-width));
    font-weight: 500;
    letter-spacing: 0.02em;
    color: white;
    padding: calc(0.0124px * var(--price-width));
    border-radius: 4px;
}

.price-banner__inner__block__flex__chart__2020 p:first-child {
    background-color: #8a8a8a;
}

.price-banner__inner__block__flex__chart__2024 p:first-child {
    background-color: #e60012;
}
.price-banner__inner__block__flex__chart__2024 p:nth-child(2) {
    color: #e60012;
    font-size: 1.1em;
    font-weight: bold;
}
.price-banner__inner__block__flex__chart__2024 p:nth-child(2) strong {
    font-size: 1.3em;
}

.price-banner__inner__block__flex__chart__2020 p:first-child strong,
.price-banner__inner__block__flex__chart__2024 p:first-child strong {
    font-size: calc(0.0335px * var(--price-width));
    font-weight: 700;
}

.price-banner__inner__block__flex__badge {
    color: #fff;
    font-size: calc(0.0425px * var(--price-width));
    font-weight: 600;
    line-height: 1.2;
    width: calc(0.2463px * var(--price-width));
    aspect-ratio: 1;
    background: url(../img/bag_price/badge-red2.webp) no-repeat center / contain;
    display: flex;
    align-items: center;
    justify-content: center;
    text-align: center;
    transform: rotate(10deg);
    right: 0%;
    top: 5%;
    position: absolute;
    z-index: 2;
    font-weight: bold;
}

.price-banner__inner__block__flex__badge p {
    margin-bottom: calc(0.0225px * var(--price-width));
}

.price-banner__inner__block:first-of-type
    .price-banner__inner__block__flex__badge {
    color: #000;
    font-size: calc(0.0442px * var(--price-width));
    width: calc(0.2463px * var(--price-width));
    aspect-ratio: 1;
    right: 0%;
    top: -10%;
    background-image: url(../img/bag_price/badge-gold2.webp);
}

.price-banner__inner__block__flex__badge strong {
    font-size: 1.4em;
}

.price-banner__inner__block:first-of-type
    .price-banner__inner__block__flex__badge
    strong {
    font-size: calc(0.0693px * var(--price-width));
}

.price-banner__inner__block__flex__pic {
    width: calc(0.1877px * var(--price-width));
}

.price-banner__inner__block__flex__arrow {
    color: #fff;
    font-size: calc(0.0227px * var(--price-width));
    font-weight: bold;
    line-height: 1;
    width: calc(0.2516px * var(--price-width));
    aspect-ratio: 3.0625;
    padding-left: 6%;
    background: url(../img/bag_price/arrow-sp.png) no-repeat center / contain;
    display: flex;
    align-items: center;
}

.price-banner__inner__block__flex__arrow strong {
    font-size: calc(0.046px * var(--price-width));
}

.price-banner__inner__block__flex__price {
    margin-left: 1%;
    position: relative;
    z-index: 2;
}

.price-banner__inner__block__flex__price p {
    font-size: calc(0.0216px * var(--price-width));
    font-weight: 700;
    line-height: 1;
}

.price-banner__inner__block__flex__price p:last-child {
    font-size: calc(0.0243px * var(--price-width));
    position: relative;
}

.price-banner__inner__block__flex__price p:last-child::after {
    content: "";
    width: 61%;
    height: calc(0.0159px * var(--price-width));
    background: #ffff00;
    bottom: 3%;
    left: 0;
    position: absolute;
    z-index: -1;
}

.price-banner__inner__block__flex__price .font-red {
    font-size: calc(0.0363px * var(--price-width));
    font-weight: 800;
    letter-spacing: -0.02em;
}

.price-banner__inner__block__flex__price .font-red strong {
    font-size: calc(0.1075px * var(--price-width));
    font-weight: 900;
    letter-spacing: -0.04em;
}

.price-banner__inner__block__flex__badge .font-yellow {
    color: #ffff00;
}

.price-banner__inner_memo {
    text-align: left;
    margin-top: 2%;
    margin-bottom: 4%;
    font-size: var(--font-s);
}

@media screen and (max-width: 768px) {
    .price-banner__inner {
        margin-bottom: 0;
    }
    .price-banner__inner__label {
        font-size: 1.2em;
    }
    .price-banner__inner__block__flex__chart {
        margin-right: 3%;
    }
    .price-banner__inner__block__flex__chart .double_chevron {
        height: 24px;
    }
    .price-banner__inner__block__flex__pic {
        grid-area: 1 / 1 / 3 / 2;
    }

    .price-banner__inner__block__flex__text {
        background-color: #f1f1f1;
        border-radius: 24px;
    }

    .price-banner__inner__block__flex__arrow {
        grid-area: 2 / 2 / 3 / 3;
    }

    .banner__inner__block__flex__price {
        grid-area: 1 / 3 / 3 / 4;
    }

    .price-banner__inner__block__flex__arrow span {
        font-size: calc(0.0276px * var(--price-width));
    }

    .price-banner__inner__block__flex__price {
        padding: 2%;
        display: flex;
        justify-content: center;
        position: absolute;
        right: 15px;
        width: 41%;
        aspect-ratio: 2.4256;
        z-index: 1;
    }

    .price-banner__inner__block__flex__price::before {
        content: "";
        width: 100%;
        height: 100%;
        background: #fff;
        border-radius: 5px;
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%);
        position: absolute;
        z-index: -1;
    }

    .price-banner__inner__block__flex__price::after {
        content: "";
        width: 100%;
        height: 100%;
        background-image: linear-gradient(to right, #e60012, #850012);
        box-shadow: 2px 2px 1px rgba(0, 0, 0, 0.5);
        border-radius: 5px;
        padding: 2px;
        box-sizing: content-box;
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%);
        position: absolute;
        z-index: -2;
    }

    .price-banner__inner__block__flex__price p:first-child {
        top: 22%;
        left: 5%;
        position: absolute;
    }

    .price-banner__inner__block:nth-of-type(3)
        .price-banner__inner__block__flex__price
        p:first-child,
    .price-banner__inner__block:nth-of-type(4)
        .price-banner__inner__block__flex__price
        p:first-child {
        left: 13%;
    }

    .price-banner__inner__block__flex__price .front {
        font-size: calc(0.0432px * var(--price-width));
    }

    .price-banner__inner__block:nth-of-type(2)
        .price-banner__inner__block__flex__price
        p:last-child::after {
        width: 67%;
    }
}
